IntegrationsPostgreSQL

Describe one table: columns, types, primary key, and foreign keys.

POST
/integrations/connections/{connection_id}/providers/postgres/tables/describe

Describe one table: columns, types, primary key, and foreign keys.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/postgres/tables/describe" \  -H "Content-Type: application/json" \  -d '{    "table": "example"  }'
{  "table": "example",  "kind": "schedule",  "estimated_rows": 0,  "columns": [],  "primary_key": [],  "foreign_keys": []}